Subject: [CCAMP] Input on publication track of WSON solutions documents

From: Lou Berger <[email-masked]>
Date: Tue, 02 Oct 2012 10:30:51 -0400

CCAMP,

The WG has several WSON-related drafts including:
   1. draft-ietf-ccamp-general-constraint-encode
   2. draft-ietf-ccamp-gmpls-general-constraints-ospf-te
   3. draft-ietf-ccamp-rwa-wson-encode
   4. draft-ietf-ccamp-wson-signal-compatibility-ospf 	
   5. draft-ietf-ccamp-wson-signaling

These drafts are currently identified as being on the Standards
Track.  The WG typically requests Standards Track publication of
documents that fill/fix a clear protocol function and/or have
strong WG support. Given the scope of this work as well as the
time the drafts have been active in the WG, we'd like to solicit
the WG's input on the publication track to be requested.

Once the WG reaches consensus on these drafts (as indicated by a
*future* WG last call), Standards Track publication can be
requested or these drafts could also be published via a
non-Standards Track, see section 4.2 of RFC2026 for all options.

Please let us know (preferably by responding on the WG list) if you:

a. Support targeting all of these documents for Standards Track
   publication?
  [yes/no]

b. If no, support targeting some of these documents for Standards
   Track publication?
  [1, yes/no
   2, yes/no
   3, yes/no
   4, yes/no
   5, yes/no]

c. If no to any of the above, which status do you think appropriate?
  [Experimental or Informational]

d. Finally, we are most interested in hearing from anyone who has,
   or is planning an implementation based on the WG drafts.  We
   understand that some may not want this information published,
   so please let any of the chairs and/or ADs know (Lou,
   Deborah, Adrian or Stewart), and they will publish the
   information without any personal or company identification.

Keep in mind that this mail is *not* starting a WG last call on
any of the documents identified above.  We'd like input on
intended publication status prior to any last call discussion.

Lou and Deborah

---

From: Leeyoung <[email-masked]>
Date: Tue, 2 Oct 2012 15:15:42 +0000

I support option (a). 

Young

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: Tuesday, October 02, 2012 9:31 AM
To: CCAMP
Subject: [CCAMP] Input on publication track of WSON solutions documents

CCAMP,

Lou and Deborah
_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp

---

From: Greg Bernstein <[email-masked]>
Date: Tue, 02 Oct 2012 11:59:28 -0700

Support option (a).
Greg

-- 
===================================================
Dr Greg Bernstein, Grotto Networking (510) 573-2237

---

From: Dirk Schroetter <[email-masked]>
Date: Wed, 3 Oct 2012 09:49:23 +0200

Lou,

I do support option a.

BR

/Dirk

Sent from a mobile device. Please excuse any spelling errors.

---

From: Rajan Rao <[email-masked]>
Date: Fri, 5 Oct 2012 23:14:39 +0000

1. yes
2. yes

Thanks
Rajan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: Tuesday, October 02, 2012 7:31 AM
To: CCAMP
Subject: [CCAMP] Input on publication track of WSON solutions documents

CCAMP,

These drafts are currently identified as being on the Standards Track.  The WG typically requests Standards Track publication of documents that fill/fix a clear protocol function and/or have strong WG support. Given the scope of this work as well as the time the drafts have been active in the WG, we'd like to solicit the WG's input on the publication track to be requested.

Once the WG reaches consensus on these drafts (as indicated by a
*future* WG last call), Standards Track publication can be requested or these drafts could also be published via a non-Standards Track, see section 4.2 of RFC2026 for all options.

Keep in mind that this mail is *not* starting a WG last call on any of the documents identified above.  We'd like input on intended publication status prior to any last call discussion.

Lou and Deborah

---

From: Lou Berger <[email-masked]>
Date: Sat, 06 Oct 2012 09:29:41 -0400

Rajan,

was this in response to
> b. If no, support targeting some of these documents for Standards

does this mean no on
>    5, yes/no]

?

Lou

PS As a reminder to all, we'd really like to hear about implementation

---

From: Lidan <[email-masked]>
Date: Mon, 8 Oct 2012 00:28:16 +0000

I support option (a).

Dan

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Lou Berger
发送时间: 2012年10月2日 22:31
收件人: CCAMP
主题: [CCAMP] Input on publication track of WSON solutions documents

CCAMP,

Lou and Deborah

---

From: Fatai Zhang <[email-masked]>
Date: Mon, 8 Oct 2012 03:45:21 +0000

I support option (a).

Best Regards

Fatai

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Lou Berger
发送时间: 2012年10月2日 22:31
收件人: CCAMP
主题: [CCAMP] Input on publication track of WSON solutions documents

CCAMP,

Lou and Deborah

---

From: "Giovanni Martinelli (giomarti)" <[email-masked]>
Date: Mon, 8 Oct 2012 12:57:32 +0000

support option a.

cheers
G

---

From: Dieter Beller <[email-masked]>
Date: Tue, 9 Oct 2012 23:39:40 +0200

Hi Deborah, Lou, all,

my answers in short:

a. no

b. no for all

c. Experimental for all

Please find some reasoning in-line below.

Thanks,

Dieter

On 02.10.2012 16:30, Lou Berger wrote:

CCAMP,

no - the major reason is that optical transponders from different
vendors are typically

not interoperable today. As long as data plane interoperability does
not exist, Standards

Track does IMHO not really make sense for the WSON documents in
question.

no for all.

Experimental status for all

Looking at the guidelines in http://www.ietf.org/iesg/informational-vs-experimental.html

guideline 4 is probably the most relevant one for these documents:

Guideline 4:

If the IETF may publish something
based on this on the standards track once we know

how well this one works, it's Experimental.
This is the typical case of not being able

to decide which protocol is "better" before
we have experience of dealing with them from

a stable specification.

Lou and Deborah

--

DIETER

BELLER

ALCATEL-LUCENT

DEUTSCHLAND AG

PROJECT MANAGER ASON/GMPLS
CONTROL PLANE

NETWORKS GROUP, OPTICS DIVISION

TERRESTRIAL OPTICS UNIT

Lorenzstrasse 10

70435 Stuttgart, Germany

T: +49 711 821 43125

M: +49 175 7266874

[email-masked]

Alcatel-Lucent
Deutschland AG

Domicile of the Company: Stuttgart · Local
Court Stuttgart HRB 4026

Chairman of the Supervisory Board: Michael
Oppenhoff

Board of Management: Wilhelm Dresselhaus
(Chairman) · Hans-Jörg Daub ·

Dr. Rainer Fechner ·
Andreas Gehe

---

From: Greg Bernstein <[email-masked]>
Date: Wed, 10 Oct 2012 11:36:35 -0700

Hi CCAMPer's  I'd like to remind folks that carriers, vendors, and 
industry in general have benefited from control plane standards even in 
the case where data plane compatibility is rare or non-existent.
The WSON drafts formalized and added key extensions (connectivity 
matrix) of existing implemented standards track wavelength switching 
documents, i.e., the orginal GMPLS documents were aimed at WSON.  In 
addition all these WSON documents adhere to and reinforce ITU-T 
recommendations.

Also remember that these drafts standardize two key missing pieces to 
the optical control plane: (i) modeling of asymmetric switches (per 
ITU-T recomendation), and (ii) wavelength accounting for RWA.  I would 
think that carriers and vendors would not want to reinvent the wheel on 
these fundamental abilities.

Best Regards
Greg

On 10/9/2012 2:39 PM, Dieter Beller wrote:
> Track does IMHO not really make sense for the WSON documents in question.
> Looking at the guidelines in 
> http://www.ietf.org/iesg/informational-vs-experimental.html
> _Guideline 4_:
> If the IETF *may **publish something* based on this on the standards 
> track *once we know*
> *how well this one works*, it's *Experimental*. This is the typical 
> case of not being able
> to decide which protocol is "better" before we have experience of 
> dealing with them from
> a stable specification.
>
> *DIETER BELLER*
> ALCATEL-LUCENT DEUTSCHLAND AG
> PROJECT MANAGER ASON/GMPLS CONTROL PLANE
> [email-masked]
>
> *Alcatel-Lucent Deutschland AG
> Domicile of the Company: Stuttgart · Local Court Stuttgart HRB 4026
> Chairman of the Supervisory Board: Michael Oppenhoff
> Board of Management: Wilhelm Dresselhaus (Chairman) · Hans-Jörg Daub ·
> Dr. Rainer Fechner · Andreas Gehe
>
>

---

From: "Ong, Lyndon" <[email-masked]>
Date: Tue, 16 Oct 2012 11:10:08 -0400

Hi Deborah, Lou,

I think Dieter makes some good arguments for making the documents Experimental.
We could use more feedback on any implementation and deployment, what dataplane conditions are needed to make this work, impact (especially on routing traffic), etc.

Cheers,

Lyndon

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Dieter Beller
Sent: Tuesday, October 09, 2012 2:40 PM
To: Lou Berger; CCAMP; Deborah Brungard
Subject: Re: [CCAMP] Input on publication track of WSON solutions documents

Hi Deborah, Lou, all,

my answers in short:

a. no
b. no for all
c. Experimental for all

Thanks,
Dieter

CCAMP,

   publication?

  [yes/no]
no - the major reason is that optical transponders from different vendors are typically
not interoperable today. As long as data plane interoperability does not exist, Standards
Track does IMHO not really make sense for the WSON documents in question.

   Track publication?

  [1, yes/no

   2, yes/no

   3, yes/no

   4, yes/no

   5, yes/no]
no for all.

Guideline 4:

If the IETF may publish something based on this on the standards track once we know
how well this one works, it's Experimental. This is the typical case of not being able
to decide which protocol is "better" before we have experience of dealing with them from
a stable specification.

Lou and Deborah

CCAMP mailing list

[email-masked]<mailto:[email-masked]>

--
DIETER BELLER

Lorenzstrasse 10
70435 Stuttgart, Germany
T: +49 711 821 43125
M: +49 175 7266874
[email-masked]<mailto:[email-masked]>

Alcatel-Lucent Deutschland AG

---

From: Lou Berger <[email-masked]>
Date: Tue, 16 Oct 2012 14:42:30 -0400

We'd like to thank all who have provided input on this topic, both on
list and privately.

We believe we have received sufficient input for these documents to
continue towards publication on the standards track.

The primary foundation for our position is the multiple implementations
that have been reported privately.  While we certainly would have
preferred to see these implementations reported on the WG list, we
respect the sensitivity of such information.

The next step for these documents is the completion of the technical
work, notably the expected revision of the signaling draft. Once this
update is discussed, we expect to move to last call of the WSON
documents as a group.

Thank you,
Lou and Deborah

---

From: "Ong, Lyndon" <[email-masked]>
Date: Tue, 16 Oct 2012 17:44:59 -0400

Hi Lou,

I find the part about private reports very confusing.  If people have implemented an IETF WG draft, why do they keep it private?  Shouldn't it be a positive development to say that you have implemented a WG draft?

Keeping it private seems like it withholds information that would help people understand better how to use the drafts, or show more clearly that these drafts are usable.  Are these dataplane as well as control plane implementations?  In what kind of environment have these been successfully deployed?  Were these multi-vendor or single vendor deployments?

Cheers,

Lyndon

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: Tuesday, October 16, 2012 11:43 AM
To: CCAMP
Subject: Re: [CCAMP] Input on publication track of WSON solutions documents

We'd like to thank all who have provided input on this topic, both on list and privately.

We believe we have received sufficient input for these documents to continue towards publication on the standards track.

The primary foundation for our position is the multiple implementations that have been reported privately.  While we certainly would have preferred to see these implementations reported on the WG list, we respect the sensitivity of such information.

The next step for these documents is the completion of the technical work, notably the expected revision of the signaling draft. Once this update is discussed, we expect to move to last call of the WSON documents as a group.

Thank you,
Lou and Deborah

On 10/2/2012 10:30 AM, Lou Berger wrote:
> These drafts are currently identified as being on the Standards Track.  
> The WG typically requests Standards Track publication of documents 
> that fill/fix a clear protocol function and/or have strong WG support. 
> Given the scope of this work as well as the time the drafts have been 
> active in the WG, we'd like to solicit the WG's input on the 
> publication track to be requested.
> 
> *future* WG last call), Standards Track publication can be requested 
> or these drafts could also be published via a non-Standards Track, see 
> section 4.2 of RFC2026 for all options.
> 
> Keep in mind that this mail is *not* starting a WG last call on any of 
> the documents identified above.  We'd like input on intended 
> publication status prior to any last call discussion.
> 
> Lou and Deborah

---

From: Lou Berger <[email-masked]>
Date: Tue, 16 Oct 2012 18:11:22 -0400

Lyndon,
	As I stated in my mail, we also would have preferred public
disclosure. But, we certainly can't compel folks to disclose their
company information outside of IETF IPR rules, which does NOT cover
implementation status.  Anatomizing implementation status does have
precedent in the IETF, for example see
draft-ietf-ccamp-gmpls-signaling-survey.

The purpose of the thread was to solicit input *to the WG chairs* on
if, we in our role as as document shepherds, could justify recommending
progressing the drafts according to the WG's position that these
documents be published on the standards track.  We believe we have
sufficient information to answer this question. The routing ADs and
IESG can of course challenge this position, as they have in the past.
We now know how to respond, i.e., there are multiple reported
implementations.  We didn't prior to this discussion.

WRT your other questions, we as a WG have not typically asked for
or obtained such information prior to submitting a publication request
to the IESG for Proposed Standard.  This is well established practice
for at least this WG.  I certainly would expected that we would need to
obtain such information for publication requests for documents with
more advanced standards track maturity levels.

I hope this addresses your questions.

Lou